Bug 29514 - ILL requests: Remove extraneous › HTML entity from breadcrumbs
Summary: ILL requests: Remove extraneous › HTML entity from breadcrumbs
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Andreas Roussos
QA Contact: Testopia
URL:
Keywords: Manual
Depends on:
Blocks:
 
Reported: 2021-11-18 09:37 UTC by Andreas Roussos
Modified: 2021-12-22 20:59 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This fixes a small typo in the breadcrumbs section for ILL requests - it had an extra › HTML entity after "Home".
Version(s) released in:
22.05.00,21.11.01,21.05.08


Attachments
ILL requests - extra > after 'Home' breadcrumb (958 bytes, image/png)
2021-11-18 09:37 UTC, Andreas Roussos
Details
Bug 29514: Remove extraneous HTML entity from breadcrumbs (1.30 KB, patch)
2021-11-18 09:50 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 29514: Remove extraneous HTML entity from breadcrumbs (1.35 KB, patch)
2021-11-18 11:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29514: Remove extraneous HTML entity from breadcrumbs (1.41 KB, patch)
2021-11-19 12:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Roussos 2021-11-18 09:37:54 UTC
Created attachment 127778 [details]
ILL requests - extra > after 'Home' breadcrumb

As per the attached screenshot, the template file for ILL requests has
a small typo: there exists an extra › HTML entity after "Home".
Comment 1 Andreas Roussos 2021-11-18 09:50:27 UTC
Created attachment 127779 [details] [review]
Bug 29514: Remove extraneous HTML entity from breadcrumbs

The template file for ILL requests has a small typo in the breadcrumbs
section: there exists an extra › HTML entity after "Home".

This patch fixes that.

Test plan:
1) Access the ILL requests module, and notice how an extra character
   is displayed after "Home" in the breadcrumbs.
2) Apply this patch.
3) Refresh the page -- the extra character is no longer displayed.
Comment 2 Owen Leonard 2021-11-18 11:48:30 UTC
Created attachment 127787 [details] [review]
Bug 29514: Remove extraneous HTML entity from breadcrumbs

The template file for ILL requests has a small typo in the breadcrumbs
section: there exists an extra › HTML entity after "Home".

This patch fixes that.

Test plan:
1) Access the ILL requests module, and notice how an extra character
   is displayed after "Home" in the breadcrumbs.
2) Apply this patch.
3) Refresh the page -- the extra character is no longer displayed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2021-11-19 12:47:09 UTC
Created attachment 127860 [details] [review]
Bug 29514: Remove extraneous HTML entity from breadcrumbs

The template file for ILL requests has a small typo in the breadcrumbs
section: there exists an extra &rsaquo; HTML entity after "Home".

This patch fixes that.

Test plan:
1) Access the ILL requests module, and notice how an extra character
   is displayed after "Home" in the breadcrumbs.
2) Apply this patch.
3) Refresh the page -- the extra character is no longer displayed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Fridolin Somers 2021-12-02 06:44:41 UTC
Pushed to master for 22.05, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-12-03 14:56:02 UTC
Pushed to 21.11.x for 21.11.01
Comment 6 David Nind 2021-12-16 13:28:55 UTC
Added Manual keyword for 22.05 bugs that I consider require documentation changes. See bug 29640 and the linked spreadsheet for additional details.
Comment 7 Andrew Fuerste-Henry 2021-12-16 21:05:13 UTC
Pushed to 21.05.x for 21.05.08
Comment 8 Victor Grousset/tuxayo 2021-12-22 20:59:51 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.